import { StatefulPromise, FetchBlobResponse } from 'rn-fetch-blob';
interface ItemQueue {
    hash: string;
    isDownloading: boolean;
    downloadHandle: StatefulPromise<FetchBlobResponse> | Promise<boolean>;
}
export default class CacheManager {
    static filesCached: {
        [hash: string]: string;
    };
    static downloadQueue: ItemQueue[];
    cacheDir: string;
    constructor(cacheDir: string);
    getPathByUri(uri: string): Promise<string>;
    clearCache(): Promise<void>;
    private getCacheOrDownload;
    private getQueueByHash;
    private removeItemQueue;
    private existsFileCache;
}
export {};
//# sourceMappingURL=cacheManager.d.ts.map